Bug 4585 - pitivi fails to start in ROSA Fresh R4 - needs clutter and segfaults
: pitivi fails to start in ROSA Fresh R4 - needs clutter and segfaults
Status: RESOLVED LATER
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-26 21:47 MSK by Eugene Shatokhin
Modified: 2015-01-14 19:09 MSK (History)
3 users (show)

See Also:
RPM Package: pitivi-0.93-1-rosa2014.1
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
pitivi works now (147.41 KB, image/png)
2014-10-27 14:43 MSK, Andrey Bondrov
Details
no icons (133.55 KB, image/png)
2014-10-28 20:10 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-26 21:47:40 MSK
When I launch pitivi, it outputs the follwing error and does not start:

-----------------------
Failed to initialize modules:  cannot import name GtkClutter
ERROR - The following hard dependencies are unmet:
==================================================
- Clutter not found on the system
- ClutterGst not found on the system
- Gst not found on the system
- GES not found on the system
Traceback (most recent call last):
  File "/usr/bin/pitivi", line 136, in <module>
    _check_requirements()
  File "/usr/bin/pitivi", line 112, in _check_requirements
    if not check_requirements():
  File "/usr/lib/python2.7/site-packages/pitivi/check.py", line 219, in check_requirements
    dependency.check()
  File "/usr/lib/python2.7/site-packages/pitivi/check.py", line 62, in check
    self.component = self._try_importing_component()
  File "/usr/lib/python2.7/site-packages/pitivi/check.py", line 144, in _try_importing_component
    from gi.repository import Gst
ImportError: cannot import name Gst
-----------------------

Missing dependencies of the package, I presume?
Comment 1 Eugene Shatokhin 2014-10-26 22:12:34 MSK
I have then installed the following packages:

lib64clutter1.0_0 
lib64clutter-gtk1.0_0 
lib64clutter-gtk-gir1.0 
lib64clutter-gst2.0_0 
lib64clutter-gst-gir2.0 
lib64clutter-gesture0.0.2_0
lib64cogl-gir1.0 
lib64cogl-pango-gir1.0
lib64clutter-gst-gir1.0 
lib64clutter-gir1.0 
lib64clutter-gst1.0_0
lib64pangoft2-gir1.0
lib64gst-gir1.0
lib64gstreamer-plugins-base-gir1.0
lib64ges1.0_0

When I run pitivi after that, I get the following:

---------------------
Missing soft dependency:
- pycanberra not found on the system
    -> enables sound notifications when rendering is complete
Missing soft dependency:
- GnomeDesktop not found on the system
    -> file thumbnails provided by GNOME's thumbnailers
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
Ошибка сегментирования (слепок снят)
---------------------

I suppose, these "soft dependencies" can be ignored but the segmentation fault can't. 

GDB called for /usr/bin/python with '/usr/bin/pitivi' as an argument shows the following backtrace (no debuginfo packages on that machine yet, but still, the backtrace may be of some use):

----------------------
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff77fd700 in pthread_mutex_lock () from /lib64/libpthread.so.0
(gdb) bt
#0  0x00007ffff77fd700 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007ffff0f83c09 in XrmQGetResource () from /usr/lib64/libX11.so.6
#2  0x00007ffff0f611c6 in XGetDefault () from /usr/lib64/libX11.so.6
#3  0x00007ffff1b7e7b9 in _XcursorGetDisplayInfo () from /usr/lib64/libXcursor.so.1
#4  0x00007ffff1b7e7f9 in XcursorSupportsARGB () from /usr/lib64/libXcursor.so.1
#5  0x00007ffff1b80ddc in XcursorTryShapeCursor () from /usr/lib64/libXcursor.so.1
#6  0x00007ffff0f5b7cd in XCreateGlyphCursor () from /usr/lib64/libX11.so.6
#7  0x00007ffff0f5bc16 in XCreateFontCursor () from /usr/lib64/libX11.so.6
#8  0x00007ffff2a19782 in ?? () from /usr/lib64/libgdk-3.so.0
#9  0x00007ffff3ac3da0 in ffi_call_unix64 () from /usr/lib64/libffi.so.6
#10 0x00007ffff3ac3811 in ffi_call () from /usr/lib64/libffi.so.6
#11 0x00007ffff49f637a in ?? () from /usr/lib64/python2.7/site-packages/gi/_gi.so
#12 0x00007ffff49ec37e in ?? () from /usr/lib64/python2.7/site-packages/gi/_gi.so
#13 0x00007ffff7a5ba93 in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
#14 0x00007ffff7aedadd in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#15 0x00007ffff7af0a20 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#16 0x00007ffff7af0b19 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
#17 0x00007ffff7b004a9 in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
#18 0x00007ffff7b00710 in ?? () from /usr/lib64/libpython2.7.so.1.0
#19 0x00007ffff7b012f9 in ?? () from /usr/lib64/libpython2.7.so.1.0
#20 0x00007ffff7b0157f in ?? () from /usr/lib64/libpython2.7.so.1.0
#21 0x00007ffff7b01e8e in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
#22 0x00007ffff7ae7e18 in ?? () from /usr/lib64/libpython2.7.so.1.0
#23 0x00007ffff7a5ba93 in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
#24 0x00007ffff7ae9a87 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
#25 0x00007ffff7aeb2b6 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#26 0x00007ffff7af0a20 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#27 0x00007ffff7af0b19 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
#28 0x00007ffff7b004a9 in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
#29 0x00007ffff7b00710 in ?? () from /usr/lib64/libpython2.7.so.1.0
#30 0x00007ffff7b012f9 in ?? () from /usr/lib64/libpython2.7.so.1.0
#31 0x00007ffff7b0157f in ?? () from /usr/lib64/libpython2.7.so.1.0
#32 0x00007ffff7b01ec8 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
#33 0x00007ffff7ae7e18 in ?? () from /usr/lib64/libpython2.7.so.1.0
#34 0x00007ffff7a5ba93 in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
#35 0x00007ffff7ae9a87 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
#36 0x00007ffff7aeb2b6 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#37 0x00007ffff7af0a20 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#38 0x00007ffff7af0b19 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
#39 0x00007ffff7b004a9 in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
#40 0x00007ffff7b00710 in ?? () from /usr/lib64/libpython2.7.so.1.0
#41 0x00007ffff7b012f9 in ?? () from /usr/lib64/libpython2.7.so.1.0
#42 0x00007ffff7b0157f in ?? () from /usr/lib64/libpython2.7.so.1.0
#43 0x00007ffff7b01ec8 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
#44 0x00007ffff7ae7e18 in ?? () from /usr/lib64/libpython2.7.so.1.0
#45 0x00007ffff7a5ba93 in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
#46 0x00007ffff7ae9a87 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
#47 0x00007ffff7aeb2b6 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#48 0x00007ffff7af0a20 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#49 0x00007ffff7af0b19 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
#50 0x00007ffff7b004a9 in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
#51 0x00007ffff7b00710 in ?? () from /usr/lib64/libpython2.7.so.1.0
#52 0x00007ffff7b012f9 in ?? () from /usr/lib64/libpython2.7.so.1.0
#53 0x00007ffff7b0157f in ?? () from /usr/lib64/libpython2.7.so.1.0
#54 0x00007ffff7b01ec8 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
#55 0x00007ffff7ae7e18 in ?? () from /usr/lib64/libpython2.7.so.1.0
#56 0x00007ffff7a5ba93 in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
#57 0x00007ffff7ae9a87 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
#58 0x00007ffff7aeb2b6 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#59 0x00007ffff7aef5aa in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#60 0x00007ffff7af0a20 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#61 0x00007ffff7af0b19 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
---Type <return> to continue, or q <return> to quit---
#62 0x00007ffff7b0969f in ?? () from /usr/lib64/libpython2.7.so.1.0
#63 0x00007ffff7b0a812 in PyRun_FileExFlags () from /usr/lib64/libpython2.7.so.1.0
#64 0x00007ffff7b0b917 in PyRun_SimpleFileExFlags () from /usr/lib64/libpython2.7.so.1.0
#65 0x00007ffff7b1c88a in Py_Main () from /usr/lib64/libpython2.7.so.1.0
#66 0x00007ffff744efc0 in __libc_start_main () from /lib64/libc.so.6
#67 0x000000000040077e in _start ()
----------------------
Comment 2 Andrey Bondrov 2014-10-27 14:42:37 MSK
I had to patch python-gstreamer1.0 and update Requires for pitivi to make it run.

python-gstreamer1.0:
Advisory: "Don't pass arguments to Boxed base class __init__() in Gst.Caps override (upstream patch)"
https://abf.rosalinux.ru/build_lists/2321873
https://abf.rosalinux.ru/build_lists/2321874

pitivi:
Advisory: "Adjust package requirements"
https://abf.rosalinux.ru/build_lists/2321879
https://abf.rosalinux.ru/build_lists/2321880

Even if these updates don't resolve your issue, they must be pushed to /updates.
Comment 3 Andrey Bondrov 2014-10-27 14:43:03 MSK
Created attachment 3384 [details]
pitivi works now
Comment 4 Eugene Shatokhin 2014-10-27 16:57:19 MSK
(In reply to comment #3)
> Created attachment 3384 [details]
> pitivi works now

Still needs some deps:

$ pitivi
Failed to initialize modules:  Typelib file for namespace 'CoglPango', version '1.0' not found
Traceback (most recent call last):
  File "/usr/bin/pitivi", line 136, in <module>
    _check_requirements()
  File "/usr/bin/pitivi", line 112, in _check_requirements
    if not check_requirements():
  File "/usr/lib/python2.7/site-packages/pitivi/check.py", line 219, in check_requirements
    dependency.check()
  File "/usr/lib/python2.7/site-packages/pitivi/check.py", line 62, in check
    self.component = self._try_importing_component()
  File "/usr/lib/python2.7/site-packages/pitivi/check.py", line 115, in _try_importing_component
    __import__("gi.repository." + self.modulename)
  File "/usr/lib/python2.7/site-packages/gi/importer.py", line 67, in load_module
    dynamic_module._load()
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 294, in _load
    self._introspection_module = get_introspection_module(self._namespace)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 273, in get_introspection_module
    module = IntrospectionModule(namespace, version)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 122, in __init__
    repository.require(namespace, version)
gi.RepositoryError: Typelib file for namespace 'CoglPango', version '1.0' not found
Comment 5 Eugene Shatokhin 2014-10-27 17:04:58 MSK
Also needed:
lib(64)cogl-pango-gir1.0
lib(64)cogl-gir1.0
libclutter-gtk1.0_0
Comment 6 Andrey Bondrov 2014-10-27 17:18:43 MSK
New pitivi build lists:
Advisory: "Adjust package requirements"
https://abf.rosalinux.ru/build_lists/2322989
https://abf.rosalinux.ru/build_lists/2322990
Comment 7 Eugene Shatokhin 2014-10-27 23:21:16 MSK
(In reply to comment #6)
> New pitivi build lists:
> Advisory: "Adjust package requirements"
> https://abf.rosalinux.ru/build_lists/2322989
> https://abf.rosalinux.ru/build_lists/2322990

Installed the updated version - segfault still happens at the same place on 2 of 3 machines I tried (one i586, one x86_64). Pitivi starts OK, however, on the remaining x64 machine.
Comment 8 Vladimir Potapov 2014-10-28 18:49:07 MSK
urpmi pitivi
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                              Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 gnonlin                            1.2.0        1             rosa  2014.1 x86_64 
 gstreamer1.0-editing-services      1.2.1        1             rosa  2014.1 x86_64 
 lib64clutter-gir1.0                1.18.2       2             rosa  2014.1 x86_64 
 lib64clutter-gst-gir2.0            2.0.12       2             rosa  2014.1 x86_64 
 lib64cogl-gir1.0                   1.18.2       3             rosa  2014.1 x86_64 
 lib64cogl-gir2.0                   1.18.2       3             rosa  2014.1 x86_64 
 lib64cogl-pango-gir1.0             1.18.2       3             rosa  2014.1 x86_64 
 lib64cogl-pango-gir2.0             1.18.2       3             rosa  2014.1 x86_64 
 lib64ges-gir1.0                    1.2.1        1             rosa  2014.1 x86_64 
 lib64ges1.0_0                      1.2.1        1             rosa  2014.1 x86_64 
 lib64gst-gir1.0                    1.2.4        2             rosa  2014.1 x86_64 
 lib64gstreamer-plugins-base-gir1.0 1.2.4        4             rosa  2014.1 x86_64 
 lib64pangocairo-gir1.0             1.36.6       1             rosa  2014.1 x86_64 
 lib64pangoft2-gir1.0               1.36.6       1             rosa  2014.1 x86_64 
 python-gi-cairo                    3.13.3       1             rosa  2014.1 x86_64 
 python-gstreamer1.0                1.2.1        2             rosa  2014.1 x86_64 
(источник «main updates»)
 lib64clutter-gtk-gir1.0            1.5.2        4             rosa  2014.1 x86_64 
(источник «pitivi»)
 pitivi                             0.93         3             rosa  2014.1 x86_64 



$ pitivi

** (pitivi:25666): WARNING **: Can't load fallback CSS resource: Failed to import: Ресурс из «/org/gnome/adwaita/gtk-fallback.css» не существует

** (pitivi:25666): WARNING **: Can't load fallback CSS resource: Failed to import: Ресурс из «/org/gnome/adwaita/gtk-fallback.css» не существует
Missing soft dependency:
- pycanberra not found on the system
    -> enables sound notifications when rendering is complete
Missing soft dependency:
- GnomeDesktop not found on the system
    -> file thumbnails provided by GNOME's thumbnailers
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

(pitivi:25666): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
Traceback (most recent call last):
  File "/usr/bin/pitivi", line 137, in <module>
    _run_pitivi()
  File "/usr/bin/pitivi", line 124, in _run_pitivi
    sys.exit(ptv.main(sys.argv))
  File "/usr/lib/python2.7/site-packages/pitivi/application.py", line 416, in main
    ptv = StartupWizardGuiPitivi(debug=options.debug)
  File "/usr/lib/python2.7/site-packages/pitivi/application.py", line 362, in __init__
    self.projectManager.newBlankProject(emission=False)
  File "/usr/lib/python2.7/site-packages/pitivi/project.py", line 419, in newBlankProject
    project = Project(_("New Project"))
  File "/usr/lib/python2.7/site-packages/pitivi/project.py", line 559, in __init__
    Gst.Caps("application/ogg"),
TypeError: function takes at most 0 arguments (1 given)
Comment 9 Vladimir Potapov 2014-10-28 18:51:18 MSK
**************
QA Denied
Comment 10 Denis Silakov 2014-10-28 18:53:58 MSK
You should also add containers with new python-gstreamer1.0.

Advisory:

Adjust pitivi package requirements, fix arg initialization in python-gstreamer1.0

Build lists:
(pitivi)
https://abf.rosalinux.ru/build_lists/2322989
https://abf.rosalinux.ru/build_lists/2322990

(python-gstreamer1.0)
https://abf.io/build_lists/2321873
https://abf.io/build_lists/2321874
Comment 11 Vladimir Potapov 2014-10-28 20:10:15 MSK
Created attachment 3387 [details]
no icons
Comment 12 Vladimir Potapov 2014-10-28 20:11:32 MSK
(In reply to comment #11)
> Created attachment 3387 [details]
> no icons



(pitivi:21324): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py:548: Warning: Source ID 36 was not found when attempting to remove it
  super(MainLoop, self).run()
Comment 13 Andrey Bondrov 2014-10-28 21:07:06 MSK
(In reply to comment #12)
> (In reply to comment #11)
> > Created attachment 3387 [details]
> > no icons

Many GTK+3/GNOME applications have such issues outside GNOME.
Comment 14 Andrey Bondrov 2014-10-29 19:22:32 MSK
Build lists with fixed icons:

pitivi:
Advisory: "Adjust package requirements"
https://abf.rosalinux.ru/build_lists/2325235
https://abf.rosalinux.ru/build_lists/2325236
Comment 15 Vladimir Potapov 2014-10-30 18:20:47 MSK
pitivi-0.93-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2325235/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2325236/x86_64/main/release/

python-gstreamer1.0-1.2.1-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2321873/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2321874/x86_64/main/release/
******************************* Advisory *******************
Adjust pitivi package requirements, fix arg initialization in python-gstreamer1.0
************************************************************
QA Verified
Comment 16 Eugene Shatokhin 2014-11-05 13:48:02 MSK
The segfault still happens on some machines. 
Looks similar to the bug https://bugzilla.gnome.org/show_bug.cgi?id=727851, reportedly fixed in Pitivi 0.94.

However, Pitivi 0.94 requires GStreamer 1.4 (http://wiki.pitivi.org/wiki/0.94) which might make this update non-trivial.

I think this update can wait. Let's postpone it till we update GStreamer to 1.4 or newer.